package com.junmp.jyzb.api.bean.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;


@Data
public class ReassignmentDto  {
    /**
     * id
     */

    private String id;

    /**
     * 工作流id
     */
    private String processId;

    /**
     * 调岗警员id
     */
    private String policeId;

    /**
     * 调岗警员姓名
     */
    private String policeName;

    /**
     * 警员带走装备
     */
    private String eqsList;

    /**
     * 组织机构id（谁申请，就是谁的组织机构号）
     */
    private Long orgId;

    /**
     * 警员
     */
    private String policeCode;

    /**
     * 调岗原因
     */
    private String note;

    /**
     * 审核状态(none未接入工作流，working审批中，finished审批完成)
     */
    private String examineState;

    /**
     * 申请时间
     */
    private Date applyTime;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建人员
     */
    private String createUser;

    /**
     * 更新人员
     */
    private String updateUser;


}